# Created by pyp2rpm-1.0.1
%global pypi_name bleach
%global with_python3 1
%define version 1.4.2

Name:           python-bleach
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        An easy whitelist-based HTML-sanitizing tool

License:        ASL %(TODO: version)s
URL:            TODO:
Source0:        https://pypi.python.org/packages/source/b/bleach/bleach-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
======
Bleach
======

.. image:: https://travis-
ci.org/jsocol/bleach.png?branch=master
   :target: https://travis-
ci.org/jsocol/bleach

Bleach is an HTML sanitizing library that escapes or
strips markup and
attributes based on a white list. Bleach can also linkify
text safely, applying
filters that Django's ``urlize`` filter cannot, and
optionally setting ``rel``
attributes, even on links already ...

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        An easy whitelist-based HTML-sanitizing tool

%description -n python3-%{pypi_name}
======
Bleach
======

.. image:: https://travis-
ci.org/jsocol/bleach.png?branch=master
   :target: https://travis-
ci.org/jsocol/bleach

Bleach is an HTML sanitizing library that escapes or
strips markup and
attributes based on a white list. Bleach can also linkify
text safely, applying
filters that Django's ``urlize`` filter cannot, and
optionally setting ``rel``
attributes, even on links already ...
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.4.2-2.mga6
+ Revision: 970796
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.4.2-1.mga6
+ Revision: 888402
- New version 1.4.2;Rebuild for Python3 3.5.x

* Tue Nov 04 2014 joequant <joequant> 1.4-1.mga5
+ Revision: 795575
- imported package python-bleach

